Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/PurgeCorpora.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/PurgeCorpora.java	(revision 1037)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/PurgeCorpora.java	(revision 1038)
@@ -99,7 +99,7 @@
 						}
 						registry.mkdir();
 						System.out.println(TXMUIMessages.PurgeCorpora_10);
-						File xmlfile = new File(workspace, "workspaces/default.xml"); //$NON-NLS-1$
+						File xmlfile = new File(workspace, "corpora/default.xml"); //$NON-NLS-1$
 						this.acquireSemaphore();
 						Toolbox.workspace = Workspace.createEmptyWorkspaceDefinition(xmlfile);
 						this.releaseSemaphore();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java	(revision 1037)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java	(revision 1038)
@@ -17,7 +17,7 @@
 import org.txm.core.engines.EngineType;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.importer.Convert5To6;
-import org.txm.objects.Base;
+import org.txm.objects.Project;
 import org.txm.rcp.commands.RestartTXM;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
@@ -53,7 +53,7 @@
 						converter.start();
 						this.releaseSemaphore();
 
-						Base base = LoadBinaryCorpus.loadBinaryCorpus(outdir);
+						Project base = LoadBinaryCorpus.loadBinaryCorpus(outdir);
 						if (base == null) {
 							System.out.println(TXMUIMessages.ConvertCorpus_0);
 							return Status.CANCEL_STATUS;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java	(revision 1037)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java	(revision 1038)
@@ -44,7 +44,7 @@
 		
 		String txmhome = Toolbox.getTxmHomePath();
 		
-		BaseParameters params = corpus.getBase().getBaseParameters();
+		BaseParameters params = corpus.getProject().getProjectParameters();
 		params.getKeyValueParameters().put(ImportKeys.MULTITHREAD, "false"); //too soon
 		params.getKeyValueParameters().put(ImportKeys.DEBUG, Log.getLevel().intValue() < Level.WARNING.intValue()); // need debug for experimental stuff
 		params.getKeyValueParameters().put(ImportKeys.UPDATECORPUS, "true");
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 1037)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 1038)
@@ -48,8 +48,8 @@
 import org.txm.Toolbox;
 import org.txm.core.engines.EngineType;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.objects.Base;
 import org.txm.objects.Project;
+import org.txm.objects.Project;
 import org.txm.objects.Workspace;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.RestartTXM;
@@ -157,7 +157,7 @@
 							continue;
 						}
 
-						Base base = LoadBinaryCorpus.loadBinaryCorpus(corpusDirectory);
+						Project base = LoadBinaryCorpus.loadBinaryCorpus(corpusDirectory);
 						if (base == null) {
 							System.out.println("Fail to load binary corpus: "+corpusDirectory);
 						}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 1037)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 1038)
@@ -44,8 +44,8 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.Toolbox;
 import org.txm.core.engines.EngineType;
-import org.txm.objects.Base;
 import org.txm.objects.Project;
+import org.txm.objects.Project;
 import org.txm.objects.Workspace;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.RestartTXM;
@@ -193,7 +193,7 @@
 					monitor.worked(50);
 
 					monitor.subTask(TXMUIMessages.AddBase_32);
-					Base base = loadBinaryCorpus(new File(corporaDir, basedirname));
+					Project base = loadBinaryCorpus(new File(corporaDir, basedirname));
 					if (base == null) {
 						System.out.println(TXMUIMessages.AddBase_4);
 						return Status.CANCEL_STATUS;
@@ -208,7 +208,7 @@
 					Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
 					this.releaseSemaphore();
 
-					final Base base2 = Toolbox.workspace.getDefaultProject().getBase(base.getName()); //$NON-NLS-1$
+					final Project base2 = Toolbox.workspace.getProject(base.getName()); //$NON-NLS-1$
 					if (base2 == null) {
 						System.out.println(TXMUIMessages.LoadBinaryCorpus_4);
 						return null;
@@ -279,7 +279,7 @@
 	 * @return the base
 	 * @throws Exception the exception
 	 */
-	public static Base loadBinaryCorpus(File binCorpusDirectory) throws Exception {
+	public static Project loadBinaryCorpus(File binCorpusDirectory) throws Exception {
 		if (!(binCorpusDirectory.exists() && binCorpusDirectory.isDirectory())) {
 			Log.severe(NLS.bind(TXMUIMessages.AddBase_24, binCorpusDirectory.getAbsolutePath()));
 			System.out.println(NLS.bind(TXMUIMessages.AddBase_24, binCorpusDirectory.getAbsolutePath()));
@@ -290,24 +290,13 @@
 		//txmregistry.mkdir();
 		File txmcorpora = new File(Toolbox.getTxmHomePath(), "corpora"); //$NON-NLS-1$
 		txmcorpora.mkdir();
-
-		Workspace w = org.txm.Toolbox.workspace;
-		if (w == null) {
-			System.out.println(TXMUIMessages.AddBase_34);
-			return null;
-		}
-		Project p = w.getProject("default"); //$NON-NLS-1$
-		if (p == null) {
-			System.out.println(TXMUIMessages.AddBase_34);
-			return null;
-		}
-		Base base = p.scanDirectory(binCorpusDirectory);
+		Project base = Toolbox.workspace.scanDirectory(binCorpusDirectory);
 		if (base == null) {
 			Log.severe(NLS.bind(TXMUIMessages.AddBase_2, binCorpusDirectory)); 
 			return null;
 		}
 
-		w.save();
+		Toolbox.workspace.save();
 		return base;
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportSelectedText.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportSelectedText.java	(revision 1037)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportSelectedText.java	(revision 1038)
@@ -78,16 +78,10 @@
 			return null;
 		}
 		System.out.println(TXMUIMessages.ImportSelectedText_0);
-		Project projet;
+
 		try {
-			projet = Toolbox.workspace.getProject("default"); //$NON-NLS-1$
-		} catch (Exception e) {
-			System.out.println(TXMUIMessages.ImportSelectedText_6+e);
-			return null;
-		}
-		try {
 			String corpusName = TXMUIMessages.ImportSelectedText_1+(nextclipcorpus++);
-			while (projet.getBase(corpusName) != null)
+			while (Toolbox.workspace.getProject(corpusName) != null)
 				corpusName = TXMUIMessages.ImportSelectedText_1+(nextclipcorpus++);
 			importText(result, corpusName);
 		} catch (Exception e) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 1037)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 1038)
@@ -84,7 +84,8 @@
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.objects.Base;
+import org.txm.objects.Project;
+import org.txm.objects.Project;
 import org.txm.rcp.commands.OpenWelcomePage;
 import org.txm.rcp.commands.RestartTXM;
 import org.txm.rcp.commands.workspace.LoadBinaryCorpus;
@@ -847,7 +848,7 @@
 						continue;
 					}
 
-					Base base = LoadBinaryCorpus.loadBinaryCorpus(basedir);
+					Project base = LoadBinaryCorpus.loadBinaryCorpus(basedir);
 					if (base != null) {
 						basenames.add(base.getName());
 						sampleCorpusLoaded.add(base.getName());
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 1037)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 1038)
@@ -86,7 +86,7 @@
 			// FIXME: need to check that all has been well moved in Workspace class or build.properties
 //		} else if (argsList.contains("-standalone")) { //$NON-NLS-1$
 //			File userhomeDirectory = new File("workspace").getAbsoluteFile(); // eclipse default workspace directory
-//			File defaultWorkspaceFile = new File("workspace/workspaces/default.xml");
+//			File defaultWorkspaceFile = new File("workspace/corpora/default.xml");
 //			if (!defaultWorkspaceFile.exists()) {
 //				System.out.println("Stand alone launch, creating minimal TXM user home directory in "+userhomeDirectory.getAbsolutePath());
 //				System.out.println("Sample corpora, scripts, import scripts and macros files are not yet installed.");
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/AdapterFactory.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/AdapterFactory.java	(revision 1037)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/AdapterFactory.java	(revision 1038)
@@ -77,7 +77,7 @@
 				if (firstCorpusDiag) {	
 					firstCorpusDiag = false;
 					for (MainCorpus corpus : corpora) {
-						if (corpus.getBase() == null) {
+						if (corpus.getProject() == null) {
 							System.out.println(NLS.bind(TXMUIMessages.AdapterFactory_0, corpus));
 						}
 					}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/TXMResultContentProvider.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/TXMResultContentProvider.java	(revision 1037)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/TXMResultContentProvider.java	(revision 1038)
@@ -37,8 +37,8 @@
 import org.eclipse.jface.viewers.Viewer;
 import org.eclipse.ui.model.IWorkbenchAdapter;
 import org.txm.core.results.TXMResult;
-import org.txm.objects.Base;
 import org.txm.objects.Project;
+import org.txm.objects.Workspace;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 
 /**
@@ -101,11 +101,11 @@
 	 */
 	@Override
 	public Object[] getElements(Object element) {
-		if (element instanceof Project) {
+		if (element instanceof Workspace) {
 			ArrayList<MainCorpus> elements = new ArrayList<MainCorpus>();
-			Project p = (Project) element;
+			Workspace p = (Workspace) element;
 
-			for (Base b : p.getBases()) {
+			for (Project b : p.getProjects()) {
 				for (TXMResult o : b.getChildren(MainCorpus.class)) {
 					elements.add((MainCorpus)o);
 				}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 1037)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 1038)
@@ -175,8 +175,7 @@
 			
 			Workspace w = Toolbox.workspace;
 			if (w == null) return;
-			Project p = w.getProject("default"); //$NON-NLS-1$
-			treeViewer.setInput(p);
+			treeViewer.setInput(w);
 			treeViewer.refresh();
 		}
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/BasesView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/BasesView.java	(revision 1037)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/BasesView.java	(revision 1038)
@@ -52,7 +52,7 @@
 import org.eclipse.ui.part.ViewPart;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
 import org.txm.Toolbox;
-import org.txm.objects.Base;
+import org.txm.objects.Project;
 import org.txm.objects.Edition;
 import org.txm.objects.Page;
 import org.txm.objects.Project;
@@ -138,7 +138,7 @@
 				TreeSelection selection = (TreeSelection) tv.getSelection();
 				if (selection.getFirstElement() instanceof Corpus) {
 					Corpus corpus = (Corpus)selection.getFirstElement();
-					File selectedItem = new File(corpus.getBaseDirectory(), "cqp/"+corpus.getName()+".cqp");
+					File selectedItem = new File(corpus.getProjectDirectory(), "cqp/"+corpus.getName()+".cqp");
 					if (selectedItem.exists())
 						EditFile.openfile(selectedItem.getAbsolutePath());
 				} else if (selection.getFirstElement() instanceof Text) {
@@ -225,9 +225,6 @@
 			if (element instanceof Project)
 				imageDescriptor = AbstractUIPlugin.imageDescriptorFromPlugin(
 						Application.PLUGIN_ID, IImageKeys.PROJECT);
-			else if (element instanceof Base)
-				imageDescriptor = AbstractUIPlugin.imageDescriptorFromPlugin(
-						Application.PLUGIN_ID, IImageKeys.BASE);
 			else if (element instanceof MainCorpus)
 				imageDescriptor = AbstractUIPlugin.imageDescriptorFromPlugin(
 						Application.PLUGIN_ID, IImageKeys.CORPUS);
@@ -266,9 +263,7 @@
 			if (element instanceof Workspace) {
 				return ((Workspace) element).getProjects().toArray();
 			} else if (element instanceof Project) {
-				return ((Project) element).getBases().toArray();
-			} else if (element instanceof Base) {
-				return ((Base) element).getChildren(MainCorpus.class).toArray();
+				return ((Project) element).getChildren(MainCorpus.class).toArray();
 			} else if (element instanceof MainCorpus) {
 				return ((Corpus) element).getTexts().toArray();
 			} else if (element instanceof Text) {
@@ -290,10 +285,8 @@
 				return null;
 			} else if (element instanceof Project) {
 				return ((Project) element).getWorkspace();
-			} else if (element instanceof Base) {
-				return ((Base) element).getProject();
 			} else if (element instanceof MainCorpus) {
-				return ((MainCorpus) element).getBase();
+				return ((MainCorpus) element).getProject();
 			} else if (element instanceof Text) {
 				return ((Text) element).getCorpus();
 			} else if (element instanceof Edition) {
@@ -314,9 +307,7 @@
 			if (element instanceof Workspace) {
 				return !((Workspace) element).getProjects().isEmpty();
 			} else if (element instanceof Project) {
-				return !((Project) element).getBases().isEmpty();
-			} else if (element instanceof Base) {
-				return !((Base) element).getChildren(MainCorpus.class).isEmpty();
+				return !((Project) element).getChildren(MainCorpus.class).isEmpty();
 			} else if (element instanceof Corpus) {
 				return !((Corpus) element).getTexts().isEmpty();
 			} else if (element instanceof Text) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java	(revision 1037)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java	(revision 1038)
@@ -62,7 +62,7 @@
 import org.eclipse.ui.part.ViewPart;
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.objects.Base;
+import org.txm.objects.Project;
 import org.txm.objects.Corpus;
 import org.txm.objects.Project;
 import org.txm.objects.SavedQuery;
@@ -92,9 +92,6 @@
 	/** The activated project. */
 	Project activatedProject;
 	
-	/** The activated base. */
-	Base activatedBase;
-	
 	/** The tv. */
 	TreeViewer tv;
 
@@ -278,15 +275,6 @@
 	}
 
 	/**
-	 * Gets the activated base.
-	 *
-	 * @return the activated base
-	 */
-	public Base getActivatedBase() {
-		return activatedBase;
-	}
-
-	/**
 	 * The Class TxmObjectLabelProvider.
 	 */
 	public class TxmObjectLabelProvider extends LabelProvider {
@@ -361,9 +349,9 @@
 		 */
 		@Override
 		public Object[] getElements(Object element) {
-			Collection<Base> input = (Collection<Base>) element;
+			Collection<Project> input = (Collection<Project>) element;
 			Object[] objects = new Object[input.size()];
-			Iterator<Base> it = input.iterator();
+			Iterator<Project> it = input.iterator();
 			int i = 0;
 			while (it.hasNext()) {
 				objects[i] = it.next();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 1037)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 1038)
@@ -63,7 +63,7 @@
 import org.txm.core.engines.EngineType;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.importer.ImportKeys;
-import org.txm.objects.Base;
+import org.txm.objects.Project;
 import org.txm.objects.BaseParameters;
 import org.txm.rcp.Application;
 import org.txm.rcp.StatusLine;
@@ -221,7 +221,7 @@
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
-				Base base = null;
+				Project base = null;
 				try {
 					//this.setCurrentMonitor(monitor);
 					monitor.beginTask(TXMUIMessages.RunGroovyScript_10 + p.rootDir, 100); //$NON-NLS-1$
@@ -278,7 +278,7 @@
 							Log.info("Restart Toolbox search engine"); //$NON-NLS-1$
 							Toolbox.restartWorkspace(null);
 							Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
-							final Base base2 = base;
+							final Project base2 = base;
 							syncExec(new Runnable() {
 								@Override
 								public void run() {
Index: tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/BackToMedia.java
===================================================================
--- tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/BackToMedia.java	(revision 1037)
+++ tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/BackToMedia.java	(revision 1038)
@@ -165,7 +165,7 @@
 //					return null;
 //				}
 
-				File binDir = corpus.getBase().getBaseParameters().paramFile.getParentFile();
+				File binDir = corpus.getProject().getProjectParameters().paramFile.getParentFile();
 				File mediaDir = new File(binDir, "media"); //$NON-NLS-1$
 				File audioFile = new File(mediaDir, textid+".mp3"); //$NON-NLS-1$
 				if (!audioFile.exists()) audioFile = new File(mediaDir, textid+".ogg"); //$NON-NLS-1$
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TSIndex.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TSIndex.java	(revision 1037)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TSIndex.java	(revision 1038)
@@ -65,8 +65,8 @@
 		if (isTIgerInitialized) return isTIgerInitialized;
 
 		String id = getCorpus().getMainCorpus().getName();
-		File configfile = new File(getCorpus().getBaseDirectory(),"tiger/tigersearch.logprop");
-		File registrydir = new File(getCorpus().getBaseDirectory(), "tiger");
+		File configfile = new File(getCorpus().getProjectDirectory(),"tiger/tigersearch.logprop");
+		File registrydir = new File(getCorpus().getProjectDirectory(), "tiger");
 
 		TSCorpusManager manager = new TSCorpusManager(registrydir, configfile);
 		if (manager.isInitialized()) {
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 1037)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 1038)
@@ -39,9 +39,9 @@
 		this.corpus = corpus.getMainCorpus();
 
 		String id = corpus.getName();
-		File configfile = new File(corpus.getBaseDirectory(),"tiger/tigersearch.logprop");
-		File registrydir = new File(corpus.getBaseDirectory(), "tiger");
-		File tscorpusdir = new File(corpus.getBaseDirectory(), "tiger/"+id);
+		File configfile = new File(corpus.getProjectDirectory(),"tiger/tigersearch.logprop");
+		File registrydir = new File(corpus.getProjectDirectory(), "tiger");
+		File tscorpusdir = new File(corpus.getProjectDirectory(), "tiger/"+id);
 		
 		if (!tscorpusdir.exists()) {
 			System.out.println("Error: can't find corpus directory: "+tscorpusdir);
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/tester/TIGERSearchTester.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/tester/TIGERSearchTester.java	(revision 1037)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/tester/TIGERSearchTester.java	(revision 1038)
@@ -42,7 +42,7 @@
 				}
 				MainCorpus corpus = (MainCorpus) receiver;
 
-				return new File(corpus.getBaseDirectory(), "tiger").exists();
+				return new File(corpus.getProjectDirectory(), "tiger").exists();
 			}
 		}
 		return false;
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TIGERSearchEditor.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TIGERSearchEditor.java	(revision 1037)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TIGERSearchEditor.java	(revision 1038)
@@ -165,8 +165,8 @@
 
 	protected void initializeFields() {
 		String id = corpus.getName();
-		File configfile = new File(corpus.getBaseDirectory(),"tiger/tigersearch.logprop");
-		File registrydir = new File(corpus.getBaseDirectory(), "tiger");
+		File configfile = new File(corpus.getProjectDirectory(),"tiger/tigersearch.logprop");
+		File registrydir = new File(corpus.getProjectDirectory(), "tiger");
 
 		if (!registrydir.exists()) {
 			System.out.println("TIGERSearch corpus '"+id+"' has no TIGERSearch registry directory: "+registrydir);
